<?php

/**
 * est_cat_short actions.
 *
 * @package    contab2
 * @subpackage est_cat_short
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class est_cat_shortActions extends sfActions {

    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     * 
     */
    public function executeList(sfWebRequest $request) {

        $records = CN_TABLE::getAll('CN_ESTADO_CATALOGO');

        $res = array();

        foreach ($records as $record) {

            $datos = array(
                'id_estado_catalogo' => $record['id_estado_catalogo'],
            );

            $res[] = $datos;
        }

        $this->list_data = $res;
    }

}
